AbstractAnnotationValueVisitor9 (Java SE 23 & JDK 23)
Description: declaration: module: java.compiler, package: javax.lang.model.util, class: AbstractAnnotationValueVisitor9
Keywords: javax.lang.model.util.AbstractAnnotationValueVisitor9 class

# Class AbstractAnnotationValueVisitor9<R,P>

java.lang.Object
javax.lang.model.util.AbstractAnnotationValueVisitor6<R,P>
javax.lang.model.util.AbstractAnnotationValueVisitor7<R,P>
javax.lang.model.util.AbstractAnnotationValueVisitor8<R,P>
javax.lang.model.util.AbstractAnnotationValueVisitor9<R,P>

Type Parameters:
  `R` - the return type of this visitor's methods
  `P` - the type of the additional parameter to this visitor's methods.

All Implemented Interfaces:
  `AnnotationValueVisitor<R,P>`

Direct Known Subclasses:
  `AbstractAnnotationValueVisitor14`

@SupportedSourceVersion(RELEASE_14) public abstract class AbstractAnnotationValueVisitor9<R,P> extends AbstractAnnotationValueVisitor8<R,P>
A skeletal visitor for annotation values with default behavior appropriate for source versions `RELEASE_9` through `RELEASE_14`.

Since:
  9
See Also:
  - Compatibility note for subclasses
  - `AbstractAnnotationValueVisitor6`
  - `AbstractAnnotationValueVisitor7`
  - `AbstractAnnotationValueVisitor8`
  - `AbstractAnnotationValueVisitor14`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractAnnotationValueVisitor9()`
  Constructor for concrete subclasses to call.

- ## Method Summary

  ### Methods declared in class javax.lang.model.util.AbstractAnnotationValueVisitor6

  `visit, visit, visitUnknown`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javax.lang.model.element.AnnotationValueVisitor

  `visitAnnotation, visitArray, visitBoolean, visitByte, visitChar, visitDouble, visitEnumConstant, visitFloat, visitInt, visitLong, visitShort, visitString, visitType`

- ## Constructor Details

  - ### AbstractAnnotationValueVisitor9

    protected AbstractAnnotationValueVisitor9()
    Constructor for concrete subclasses to call.